<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/discover-xml.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">include</a>&nbsp;/&nbsp;<a class="el" href="dir_000001.html">discover</a></div>
<h1>discover-xml.h</h1><a href="discover-xml_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment">00001 
00010 <span class="comment">/* $Progeny$</span>
00011 <span class="comment"> *</span>
00012 <span class="comment"> * AUTHOR: John R. Daily &lt;jdaily@progeny.com&gt;</span>
00013 <span class="comment"> *</span>
00014 <span class="comment"> * Copyright 2002 Hewlett-Packard Company</span>
00015 <span class="comment"> * Copyright 2002 Progeny Linux Systems, Inc.</span>
00016 <span class="comment"> *</span>
00017 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
00018 <span class="comment"> * copy of this software and associated documentation files (the "Software"),</span>
00019 <span class="comment"> * to deal in the Software without restriction, including without limitation</span>
00020 <span class="comment"> * the rights to use, copy, modify, merge, publish, distribute, sublicense,</span>
00021 <span class="comment"> * and/or sell copies of the Software, and to permit persons to whom the</span>
00022 <span class="comment"> * Software is furnished to do so, subject to the following conditions:</span>
00023 <span class="comment"> *</span>
00024 <span class="comment"> * The above copyright notice and this permission notice shall be included in</span>
00025 <span class="comment"> * all copies or substantial portions of the Software.</span>
00026 <span class="comment"> *</span>
00027 <span class="comment"> * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
00028 <span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
00029 <span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL</span>
00030 <span class="comment"> * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
00031 <span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING</span>
00032 <span class="comment"> * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER</span>
00033 <span class="comment"> * DEALINGS IN THE SOFTWARE.</span>
00034 <span class="comment"> */</span>
00035 
00036 <span class="preprocessor">#ifndef DISCOVER_XML_H</span>
00037 <span class="preprocessor"></span><span class="preprocessor">#define DISCOVER_XML_H</span>
00038 <span class="preprocessor"></span>
00039 <span class="preprocessor">#include &lt;<a class="code" href="discover_8h.html">discover/discover.h</a>&gt;</span>
00040 
00041 <span class="preprocessor">#ifdef __cplusplus</span>
00042 <span class="preprocessor"></span>    <span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
00043 <span class="preprocessor">#endif</span>
00044 <span class="preprocessor"></span>
00045 <a class="code" href="group__types.html#ga3">discover_device_t</a> *
00046 <a class="code" href="group__device__xml.html#ga3">discover_xml_find_device</a>(<a class="code" href="group__types.html#ga3">discover_device_t</a> *xml_devices,
00047                          <span class="keywordtype">char</span> *target_vendor, <span class="keywordtype">char</span> *target_model,
00048                          <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00049 <a class="code" href="group__types.html#ga3">discover_device_t</a> *
00050 <a class="code" href="group__device__xml.html#ga4">discover_xml_find_next_device</a>(<a class="code" href="group__types.html#ga3">discover_device_t</a> *xml_devices,
00051                               <span class="keywordtype">char</span> *target_vendor, <span class="keywordtype">char</span> *target_model,
00052                               <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00053 
00054 <a class="code" href="group__types.html#ga3">discover_device_t</a> *
00055 <a class="code" href="group__device__xml.html#ga5">discover_xml_get_matching_devices</a>(<a class="code" href="group__types.html#ga3">discover_device_t</a> *xml_devices,
00056                                   <span class="keywordtype">char</span> *target_vendor, <span class="keywordtype">char</span> *target_model,
00057                                   <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00058 
00059 <span class="keywordtype">int</span> <a class="code" href="group__version__cmp.html#ga0">discover_xml_version_cmp</a>(<span class="keywordtype">char</span> *range, <span class="keywordtype">char</span> *version,
00060                              <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00061 
00062 <span class="comment">/******************************************************************************</span>
00063 <span class="comment"> * url</span>
00064 <span class="comment"> */</span>
00065 
00066 <a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *<a class="code" href="group__url__xml.html#ga4">discover_xml_url_new</a>(<span class="keywordtype">void</span>);
00067 <span class="keywordtype">void</span> <a class="code" href="group__url__xml.html#ga5">discover_xml_url_copy</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *src, <a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *dst);
00068 <span class="keywordtype">void</span> <a class="code" href="group__url__xml.html#ga12">discover_xml_url_free</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *urls);
00069 
00070 <span class="keywordtype">char</span> *
00071 <a class="code" href="group__url__xml.html#ga6">discover_xml_url_get_url</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *url);
00072 
00073 <span class="keywordtype">char</span> *
00074 <a class="code" href="group__url__xml.html#ga8">discover_xml_url_get_bus</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *url);
00075 
00076 <span class="keywordtype">char</span> *
00077 <a class="code" href="group__url__xml.html#ga9">discover_xml_url_get_type</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *url);
00078 
00079 <a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *
00080 <a class="code" href="group__url__xml.html#ga10">discover_xml_url_get_next</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *url);
00081 
00082 <a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *
00083 <a class="code" href="group__url__xml.html#ga11">discover_xml_url_get_last</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *url);
00084 
00085 <span class="keywordtype">char</span> *
00086 <a class="code" href="group__url__xml.html#ga7">discover_xml_url_get_label</a>(<a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *url);
00087 
00088 <a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *<a class="code" href="group__url__xml.html#ga0">discover_xml_get_urls</a>(<a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00089 <span class="keywordtype">void</span> <a class="code" href="group__url__xml.html#ga1">discover_xml_free_urls</a>(<span class="keywordtype">void</span>);
00090 
00091 <a class="code" href="group__types.html#ga7">discover_xml_url_t</a> *<a class="code" href="group__url__xml.html#ga2">discover_xml_get_data_urls</a>(<a class="code" href="group__types.html#ga16">discover_bus_t</a> bus,
00092                                                <a class="code" href="group__types.html#ga17">discover_filetype_t</a> filetype,
00093                                                <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00094 <span class="keywordtype">void</span> <a class="code" href="group__url__xml.html#ga3">discover_xml_free_data_urls</a>(<span class="keywordtype">void</span>);
00095 
00096 <span class="comment">/******************************************************************************</span>
00097 <span class="comment"> * busclass</span>
00098 <span class="comment"> */</span>
00099 
00100 <a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *<a class="code" href="group__busclass__xml.html#ga8">discover_xml_busclass_new</a>(<span class="keywordtype">void</span>);
00101 
00102 <a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *<a class="code" href="group__busclass__xml.html#ga1">discover_xml_get_busclasses</a>(<a class="code" href="group__types.html#ga16">discover_bus_t</a> bus,
00103                                                      <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00104 
00105 <span class="keywordtype">void</span> <a class="code" href="group__busclass__xml.html#ga2">discover_xml_free_busclasses</a>(<span class="keywordtype">void</span>);
00106 
00107 <span class="keywordtype">void</span>
00108 <a class="code" href="group__busclass__xml.html#ga0">discover_xml_merge_busclass_url</a>(<a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> **blist,
00109                                 <span class="keywordtype">char</span> *filename, <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00110 
00111 <span class="keywordtype">char</span> *<a class="code" href="group__busclass__xml.html#ga3">discover_xml_busclass_to_class</a>(<span class="keywordtype">char</span> *busclass,
00112                                      <a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses);
00113 <span class="keywordtype">int</span> <a class="code" href="group__busclass__xml.html#ga4">discover_xml_busclass_cmp</a>(<span class="keywordtype">char</span> *busclass, <span class="keywordtype">char</span> *discover_class,
00114                               <a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses);
00115 <span class="keywordtype">char</span> *<a class="code" href="group__busclass__xml.html#ga5">discover_xml_busclass_get_id</a>(<a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass);
00116 
00117 <span class="keywordtype">char</span> *<a class="code" href="group__busclass__xml.html#ga6">discover_xml_busclass_get_name</a>(<a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass);
00118 <a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *
00119 <a class="code" href="group__busclass__xml.html#ga7">discover_xml_busclass_get_next</a>(<a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclass);
00120 
00121 <span class="keywordtype">void</span> <a class="code" href="group__busclass__xml.html#ga9">discover_xml_busclass_free</a>(<a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses);
00122 
00123 <span class="comment">/******************************************************************************</span>
00124 <span class="comment"> * device</span>
00125 <span class="comment"> */</span>
00126 
00127 <a class="code" href="group__types.html#ga3">discover_device_t</a> *
00128 <a class="code" href="group__device__xml.html#ga1">discover_xml_get_devices</a>(<a class="code" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00129 
00130 <span class="keywordtype">void</span> <a class="code" href="group__device__xml.html#ga2">discover_xml_free_devices</a>(<span class="keywordtype">void</span>);
00131 
00132 <span class="keywordtype">void</span>
00133 <a class="code" href="group__device__xml.html#ga0">discover_xml_merge_device_url</a>(<a class="code" href="group__types.html#ga3">discover_device_t</a> **dlist, <span class="keywordtype">char</span> *url,
00134                               <a class="code" href="group__types.html#ga5">discover_xml_busclass_t</a> *busclasses,
00135                               <a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors,
00136                               <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00137 
00138 <span class="comment">/******************************************************************************</span>
00139 <span class="comment"> * vendor</span>
00140 <span class="comment"> */</span>
00141 
00142 <a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *<a class="code" href="group__vendor__xml.html#ga7">discover_xml_vendor_new</a>(<span class="keywordtype">void</span>);
00143 
00144 <span class="keywordtype">void</span>
00145 <a class="code" href="group__vendor__xml.html#ga0">discover_xml_merge_vendor_url</a>(<a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> **vlist, <span class="keywordtype">char</span> *filename,
00146                               <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00147 <a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *<a class="code" href="group__vendor__xml.html#ga1">discover_xml_get_vendors</a>(<a class="code" href="group__types.html#ga16">discover_bus_t</a> bus,
00148                                                 <a class="code" href="structdiscover__error.html">discover_error_t</a> *status);
00149 <span class="keywordtype">void</span> <a class="code" href="group__vendor__xml.html#ga2">discover_xml_free_vendors</a>(<span class="keywordtype">void</span>);
00150 
00151 <span class="keywordtype">char</span> *<a class="code" href="group__vendor__xml.html#ga3">discover_xml_vendor_id2name</a>(<a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors, <span class="keywordtype">char</span> *<span class="keywordtype">id</span>);
00152 <span class="keywordtype">char</span> *<a class="code" href="group__vendor__xml.html#ga4">discover_xml_vendor_get_id</a>(<a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor);
00153 <span class="keywordtype">char</span> *<a class="code" href="group__vendor__xml.html#ga5">discover_xml_vendor_get_name</a>(<a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor);
00154 <a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *
00155 <a class="code" href="group__vendor__xml.html#ga6">discover_xml_vendor_get_next</a>(<a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendor);
00156 
00157 <span class="keywordtype">void</span> <a class="code" href="group__vendor__xml.html#ga8">discover_xml_vendor_free</a>(<a class="code" href="group__types.html#ga6">discover_xml_vendor_t</a> *vendors);
00158 
00159 <span class="preprocessor">#ifdef __cplusplus</span>
00160 <span class="preprocessor"></span>    }
00161 <span class="preprocessor">#endif</span>
00162 <span class="preprocessor"></span>
00163 <span class="preprocessor">#endif</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
